Bug 141431 - [maintainer-update] comms/gpredict to latest version
Summary: [maintainer-update] comms/gpredict to latest version
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Dmitry Marakasov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-12-13 14:50 UTC by Matt Dawson
Modified: 2009-12-30 13:00 UTC (History)
0 users

See Also:


Attachments
file.diff (7.33 KB, patch)
2009-12-13 14:50 UTC, Matt Dawson
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Dawson 2009-12-13 14:50:03 UTC
comms/gpredict is out of date

Fix: diff attached to bring the port to v1.1, tested with tinderbox on 7&8 amd64&i386 here:
https://tinderbox.chronos.org.uk/tb/index.php?action=describe_port&id=1428

Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 Dmitry Marakasov freebsd_committer 2009-12-15 21:06:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->amdmi3

I'll take it.
Comment 2 Dmitry Marakasov 2009-12-16 13:23:17 UTC
* Matt Dawson (matt@chronos.org.uk) wrote:

> -LIB_DEPENDS=	hamlib:${PORTSDIR}/comms/hamlib:install
> +LIB_DEPENDS=	hamlib:${PORTSDIR}/comms/hamlib:install \
> +		goocanvas:${PORTSDIR}/graphics/goocanvas:install
>  BUILD_DEPENDS=	curl:${PORTSDIR}/ftp/curl:install
>  RUN_DEPENDS=	curl:${PORTSDIR}/ftp/curl:install

Any particular reason for these :install clauses? Install
dependency is used by default.

> +lib/locale/fr/LC_MESSAGES/gpredict.mo
> +lib/locale/en_GB/LC_MESSAGES/gpredict.mo
> +lib/locale/en_US/LC_MESSAGES/gpredict.mo                        

Also should install into share/locale, not lib/locale.

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 3 Dmitry Marakasov freebsd_committer 2009-12-18 01:40:39 UTC
State Changed
From-To: open->feedback

Ask for submitter fix.
Comment 4 Dmitry Marakasov freebsd_committer 2009-12-30 12:57:20 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!
Comment 5 dfilter service freebsd_committer 2009-12-30 12:57:28 UTC
amdmi3      2009-12-30 12:57:14 UTC

  FreeBSD ports repository

  Modified files:
    comms/gpredict       Makefile distinfo pkg-descr pkg-plist 
  Log:
  - Update to 1.1
  - While here, install locale files into share/locale (not lib), remove useless :install clauses (approved by maintainer timeout + email bounces)
  
  PR:             141431
  Submitted by:   Matt Dawson <matt@chronos.org.uk> (maintainer)
  
  Revision  Changes    Path
  1.19      +7 -7      ports/comms/gpredict/Makefile
  1.9       +3 -3      ports/comms/gpredict/distinfo
  1.3       +5 -10     ports/comms/gpredict/pkg-descr
  1.7       +91 -13    ports/comms/gpredict/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"